idp.oauthAuthorizeStart wraps the Start OAuth Authorization API endpoint. It initiates a request for authorization of a Connected App to access a account.
Call this endpoint using the query parameters from an OAuth Authorization request. This endpoint validates various fields (scope, client_id, redirect_uri, prompt, etc…) are correct and returns relevant information for rendering an OAuth Consent Screen.
Parameters
The callback URI used to redirect the user after authentication. This is the same URI provided at the start of the OAuth flow. This field is required when using the
authorization_code grant.Space separated list that specifies how the Authorization Server should prompt the user for reauthentication and consent. Only consent is supported today.
Response
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we
may ask for this value to help identify a specific API call when helping you debug an issue.